diff --git a/lpeval_wrappers_string.inc b/lpeval_wrappers_string.inc
index 3214b4a..7836e07 100644
--- a/lpeval_wrappers_string.inc
+++ b/lpeval_wrappers_string.inc
@@ -7,112 +7,112 @@
 }
 {%MainUnit lpeval.pas}
 
-procedure _LapeUpperCase(const Params: PParamArray; const Result: Pointer);
+procedure _LapeUpperCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := UpperCase(PlpString(Params^[0])^);
 end;
 
-procedure _LapeLowerCase(const Params: PParamArray; const Result: Pointer);
+procedure _LapeLowerCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := LowerCase(PlpString(Params^[0])^);
 end;
 
-procedure _LapeUpCaseA(const Params: PParamArray; const Result: Pointer);
+procedure _LapeUpCaseA(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PAnsiChar(Result)^ := UpCase(PAnsiChar(Params^[0])^);
 end;
 
-procedure _LapeUpCaseW(const Params: PParamArray; const Result: Pointer);
+procedure _LapeUpCaseW(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PWideChar(Result)^ := UpCase(PWideChar(Params^[0])^);
 end;
 
-procedure _LapeCompareStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeCompareStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt32(Result)^ := CompareStr(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeCompareMem(const Params: PParamArray; const Result: Pointer);
+procedure _LapeCompareMem(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := CompareMem(PPointer(Params^[0])^, PPointer(Params^[1])^, PPtrUInt(Params^[2])^);
 end;
 
-procedure _LapeCompareText(const Params: PParamArray; const Result: Pointer);
+procedure _LapeCompareText(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt32(Result)^ := CompareText(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeSameText(const Params: PParamArray; const Result: Pointer);
+procedure _LapeSameText(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := SameText(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeAnsiUpperCase(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiUpperCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := AnsiUpperCase(PlpString(Params^[0])^);
 end;
 
-procedure _LapeAnsiLowerCase(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiLowerCase(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := AnsiLowerCase(PlpString(Params^[0])^);
 end;
 
-procedure _LapeAnsiCompareStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiCompareStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt32(Result)^ := AnsiCompareStr(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeAnsiCompareText(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiCompareText(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt32(Result)^ := AnsiCompareText(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeAnsiSameText(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiSameText(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := AnsiSameText(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeAnsiSameStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiSameStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := AnsiSameStr(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeTrim(const Params: PParamArray; const Result: Pointer);
+procedure _LapeTrim(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := Trim(PlpString(Params^[0])^);
 end;
 
-procedure _LapeTrimLeft(const Params: PParamArray; const Result: Pointer);
+procedure _LapeTrimLeft(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := TrimLeft(PlpString(Params^[0])^);
 end;
 
-procedure _LapeTrimRight(const Params: PParamArray; const Result: Pointer);
+procedure _LapeTrimRight(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := TrimRight(PlpString(Params^[0])^);
 end;
 
-procedure _LapePadL(const Params: PParamArray; const Result: Pointer);
+procedure _LapePadL(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := StringOfChar(PlpChar(Params^[2])^, PUInt32(Params^[1])^ - Length(PlpString(Params^[0])^)) + PlpString(Params^[0])^;
 end;
 
-procedure _LapePadR(const Params: PParamArray; const Result: Pointer);
+procedure _LapePadR(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := PlpString(Params^[0])^ + StringOfChar(PlpChar(Params^[2])^, PUInt32(Params^[1])^ - Length(PlpString(Params^[0])^));
 end;
 
-procedure _LapeQuotedStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeQuotedStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := QuotedStr(PlpString(Params^[0])^);
 end;
 
-procedure _LapeAnsiQuotedStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiQuotedStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := AnsiQuotedStr(PlpString(Params^[0])^, Char(PlpChar(Params^[1])^));
 end;
 
-procedure _LapeAnsiDequotedStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAnsiDequotedStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := AnsiDequotedStr(PlpString(Params^[0])^, Char(PlpChar(Params^[1])^));
 end;
@@ -121,82 +121,82 @@ type
   TAnsiCharSet = set of AnsiChar;
   PAnsiCharSet = ^TAnsiCharSet;
 
-procedure _LapeWrapText(const Params: PParamArray; const Result: Pointer);
+procedure _LapeWrapText(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := WrapText(PlpString(Params^[0])^, PlpString(Params^[1])^, PAnsiCharSet(Params^[2])^, PInt32(Params^[3])^);
 end;
 
-procedure _LapeAdjustLineBreaks(const Params: PParamArray; const Result: Pointer);
+procedure _LapeAdjustLineBreaks(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := AdjustLineBreaks(PlpString(Params^[0])^, TTextLineBreakStyle(PLapeSmallEnum(Params^[1])^));
 end;
 
-procedure _LapeIntToHex(const Params: PParamArray; const Result: Pointer);
+procedure _LapeIntToHex(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := IntToHex(PInt64(Params^[0])^, PInt32(Params^[1])^);
 end;
 
-procedure _LapeUIntToHex(const Params: PParamArray; const Result: Pointer);
+procedure _LapeUIntToHex(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := IntToHex(PUInt64(Params^[0])^, PInt32(Params^[1])^);
 end;
 
-procedure _LapeStrToInt(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToInt(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt32(Result)^ := StrToInt(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToIntDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToIntDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt32(Result)^ := StrToIntDef(PlpString(Params^[0])^, PInt32(Params^[1])^);
 end;
 
-procedure _LapeStrToInt64(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToInt64(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt64(Result)^ := StrToInt64(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToInt64Def(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToInt64Def(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PInt64(Result)^ := StrToInt64Def(PlpString(Params^[0])^, PInt64(Params^[1])^);
 end;
 
-procedure _LapeStrToUInt64(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToUInt64(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PUInt64(Result)^ := StrToUInt64(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToUInt64Def(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToUInt64Def(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PUInt64(Result)^ := StrToUInt64Def(PlpString(Params^[0])^, PUInt64(Params^[1])^);
 end;
 
-procedure _LapeStrToFloat(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToFloat(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := StrToFloat(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToFloatDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToFloatDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PExtended(Result)^ := StrToFloatDef(PlpString(Params^[0])^, PExtended(Params^[1])^);
 end;
 
-procedure _LapeStrToCurr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToCurr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PCurrency(Result)^ := StrToCurr(PlpString(Params^[0])^);
 end;
 
-procedure _LapeStrToCurrDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToCurrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PCurrency(Result)^ := StrToCurrDef(PlpString(Params^[0])^, PCurrency(Params^[1])^);
 end;
 
-procedure _LapeStrToBool(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToBool(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := StrToBool(PlpString(Params^[0])^);
 end;
 
-procedure _LapeBoolToStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeBoolToStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   if PEvalBool(Params^[0])^ then
     PlpString(Result)^ := PlpString(Params^[1])^
@@ -204,12 +204,12 @@ begin
     PlpString(Result)^ := PlpString(Params^[2])^;
 end;
 
-procedure _LapeStrToBoolDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStrToBoolDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := StrToBoolDef(PlpString(Params^[0])^, PEvalBool(Params^[1])^);
 end;
 
-procedure _LapeFormat(const Params: PParamArray; const Result: Pointer);
+procedure _LapeFormat(const Params: PParamArray; const Result: Pointer); lape_extdecl
 var
   ConstArr: TVarRecList;
 begin
@@ -217,52 +217,52 @@ begin
   PlpString(Result)^ := Format(PlpString(Params^[0])^, ConstArr.VarRecs);
 end;
 
-procedure _LapeFormatFloat(const Params: PParamArray; const Result: Pointer);
+procedure _LapeFormatFloat(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := FormatFloat(PlpString(Params^[0])^, PExtended(Params^[1])^);
 end;
 
-procedure _LapeFormatCurr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeFormatCurr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := FormatCurr(PlpString(Params^[0])^, PCurrency(Params^[1])^);
 end;
 
-procedure _LapeLastDelimiter(const Params: PParamArray; const Result: Pointer);
+procedure _LapeLastDelimiter(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PSizeInt(Result)^ := LastDelimiter(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeStringReplace(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStringReplace(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := StringReplace(PlpString(Params^[0])^, PlpString(Params^[1])^, PlpString(Params^[2])^, TReplaceFlags(PLapeSmallEnum(Params^[3])^));
 end;
 
-procedure _LapeIsDelimiter(const Params: PParamArray; const Result: Pointer);
+procedure _LapeIsDelimiter(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := IsDelimiter(PlpString(Params^[0])^, PlpString(Params^[1])^, PSizeInt(Params^[2])^);
 end;
 
-procedure _LapePos(const Params: PParamArray; const Result: Pointer);
+procedure _LapePos(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PSizeInt(Result)^ := Pos(PlpString(Params^[0])^, PlpString(Params^[1])^);
 end;
 
-procedure _LapeCopy(const Params: PParamArray; const Result: Pointer);
+procedure _LapeCopy(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := Copy(PlpString(Params^[0])^, PSizeInt(Params^[1])^, PSizeInt(Params^[2])^);
 end;
 
-procedure _LapeInsert(const Params: PParamArray);
+procedure _LapeInsert(const Params: PParamArray); lape_extdecl
 begin
   Insert(PlpString(Params^[0])^, PlpString(Params^[1])^, PSizeInt(Params^[2])^);
 end;
 
-procedure _LapeDelete(const Params: PParamArray);
+procedure _LapeDelete(const Params: PParamArray); lape_extdecl
 begin
   Delete(PlpString(Params^[0])^, PSizeInt(Params^[1])^, PSizeInt(Params^[2])^);
 end;
 
-procedure _LapeStringOfChar(const Params: PParamArray; const Result: Pointer);
+procedure _LapeStringOfChar(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PlpString(Result)^ := StringOfChar(PlpChar(Params^[0])^, PSizeInt(Params^[1])^);
 end;
diff --git a/lpeval_wrappers_variant.inc b/lpeval_wrappers_variant.inc
index 1c2f308..cec8b63 100644
--- a/lpeval_wrappers_variant.inc
+++ b/lpeval_wrappers_variant.inc
@@ -9,134 +9,134 @@
 
 type
   PVarType = ^TVarType;
-procedure _LapeVarType(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarType(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVarType(Result)^ := VarType(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarAsType(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarAsType(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarAsType(PVariant(Params^[0])^, PVarType(Params^[1])^);
 end;
 
-procedure _LapeVarIsByRef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsByRef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsByRef(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsEmpty(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsEmpty(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsEmpty(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsNull(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsNull(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsNull(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsClear(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsClear(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsClear(PVariant(Params^[0])^);
 end;
 
 type
   PRESULT = ^HRESULT;
-procedure _LapeVarIsError(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsError(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsError(PVariant(Params^[0])^, PRESULT(Params^[1])^);
 end;
 
-procedure _LapeVarAsError(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarAsError(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarAsError(PRESULT(Params^[0])^);
 end;
 
-procedure _LapeVarIsCustom(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsCustom(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsCustom(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsOrdinal(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsOrdinal(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsOrdinal(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsFloat(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsFloat(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsFloat(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsNumeric(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsNumeric(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsNumeric(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsStr(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarIsArray(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarIsArray(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarIsArray(PVariant(Params^[0])^, PEvalBool(Params^[1])^);
 end;
 
-procedure _LapeVarToStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarToStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PAnsiString(Result)^ := VarToStr(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarToStrDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarToStrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PAnsiString(Result)^ := VarToStrDef(PVariant(Params^[0])^, PAnsiString(Params^[1])^);
 end;
 
-procedure _LapeVarToWideStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarToWideStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PWideString(Result)^ := VarToWideStr(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarToWideStrDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarToWideStrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PWideString(Result)^ := VarToWideStrDef(PVariant(Params^[0])^, PWideString(Params^[1])^);
 end;
 
-procedure _LapeVarToUnicodeStr(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarToUnicodeStr(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PUnicodeString(Result)^ := {$IFDEF FPC}VarToUnicodeStr{$ELSE}VarToStr{$ENDIF}(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarToUnicodeStrDef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarToUnicodeStrDef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PUnicodeString(Result)^ := {$IFDEF FPC}VarToUnicodeStrDef{$ELSE}VarToStrDef{$ENDIF}(PVariant(Params^[0])^, PUnicodeString(Params^[1])^);
 end;
 
-procedure _LapeVarToDateTime(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarToDateTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PDateTime(Result)^ := VarToDateTime(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarFromDateTime(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarFromDateTime(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarFromDateTime(PDateTime(Params^[0])^);
 end;
 
-procedure _LapeVarInRange(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarInRange(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarInRange(PVariant(Params^[0])^, PVariant(Params^[1])^, PVariant(Params^[2])^);
 end;
 
-procedure _LapeVarEnsureRange(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarEnsureRange(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarEnsureRange(PVariant(Params^[0])^, PVariant(Params^[1])^, PVariant(Params^[2])^);
 end;
 
-procedure _LapeVarSameValue(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarSameValue(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarSameValue(PVariant(Params^[0])^, PVariant(Params^[1])^);
 end;
 
-procedure _LapeVarCompareValue(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarCompareValue(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PLapeSmallEnum(Result)^ := ELapeSmallEnum(VarCompareValue(PVariant(Params^[0])^, PVariant(Params^[1])^));
 end;
@@ -145,67 +145,67 @@ type
   TSizeIntArray = array of {$IFDEF FPC}SizeInt{$ELSE}Integer{$ENDIF};
   PSizeIntArray = ^TSizeIntArray;
 
-procedure _LapeVarTypeIsValidArrayType(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarTypeIsValidArrayType(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarTypeIsValidArrayType(PVarType(Params^[0])^);
 end;
 
-procedure _LapeVarTypeIsValidElementType(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarTypeIsValidElementType(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PEvalBool(Result)^ := VarTypeIsValidElementType(PVarType(Params^[0])^);
 end;
 
-procedure _LapeVarArrayCreate(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayCreate(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarArrayCreate(PSizeIntArray(Params^[0])^, PVarType(Params^[1])^);
 end;
 
-procedure _LapeVarArrayOf(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayOf(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarArrayOf(PVariantArray(Params^[0])^);
 end;
 
-procedure _LapeVarArrayRedim(const Params: PParamArray);
+procedure _LapeVarArrayRedim(const Params: PParamArray); lape_extdecl
 begin
   VarArrayRedim(PVariant(Params^[0])^, PSizeInt(Params^[0])^);
 end;
 
-procedure _LapeVarArrayAsPSafeArray(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayAsPSafeArray(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PPointer(Result)^ := VarArrayAsPSafeArray(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarCopyNoInd(const Params: PParamArray);
+procedure _LapeVarCopyNoInd(const Params: PParamArray); lape_extdecl
 begin
   VarCopyNoInd(PVariant(Params^[0])^, PVariant(Params^[1])^);
 end;
 
-procedure _LapeVarArrayDimCount(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayDimCount(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PSizeInt(Result)^ := VarArrayDimCount(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarArrayLowBound(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayLowBound(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PSizeInt(Result)^ := VarArrayLowBound(PVariant(Params^[0])^, PSizeInt(Params^[1])^);
 end;
 
-procedure _LapeVarArrayHighBound(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayHighBound(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PSizeInt(Result)^ := VarArrayHighBound(PVariant(Params^[0])^, PSizeInt(Params^[1])^);
 end;
 
-procedure _LapeVarArrayLock(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayLock(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PPointer(Result)^ := VarArrayLock(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarArrayUnlock(const Params: PParamArray);
+procedure _LapeVarArrayUnlock(const Params: PParamArray); lape_extdecl
 begin
   VarArrayUnlock(PVariant(Params^[0])^);
 end;
 
-procedure _LapeVarArrayRef(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayRef(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarArrayRef(PVariant(Params^[0])^);
 end;
@@ -214,12 +214,12 @@ type
   TIntArray = array of Int32;
   PIntArray = ^TIntArray;
 
-procedure _LapeVarArrayGet(const Params: PParamArray; const Result: Pointer);
+procedure _LapeVarArrayGet(const Params: PParamArray; const Result: Pointer); lape_extdecl
 begin
   PVariant(Result)^ := VarArrayGet(PVariant(Params^[0])^, PIntArray(Params^[1])^);
 end;
 
-procedure _LapeVarArraySet(const Params: PParamArray);
+procedure _LapeVarArraySet(const Params: PParamArray); lape_extdecl
 begin
   VarArrayPut(PVariant(Params^[0])^, PVariant(Params^[1])^, PIntArray(Params^[2])^);
 end;
diff --git a/lptypes.pas b/lptypes.pas
index 27035b6..051c1e7 100644
--- a/lptypes.pas
+++ b/lptypes.pas
@@ -139,9 +139,9 @@ type
   PEvalBool = ^EvalBool;
 
   EMemoryPos = (mpNone, mpStack, mpMem, mpVar);
-  TLapeEvalProc = procedure(const Dest, Left, Right: Pointer);
+  TLapeEvalProc = procedure(const Dest, Left, Right: Pointer); lape_extdecl
   TLapeImportedProc = procedure(const Params: PParamArray);
-  TLapeImportedFunc = procedure(const Params: PParamArray; const Result: Pointer);
+  TLapeImportedFunc = procedure(const Params: PParamArray; const Result: Pointer); lape_extdecl
 
   ELapeBaseType = (
     ltUnknown,
@@ -2001,4 +2001,4 @@ finalization
 {$ENDIF}
 
 end.
-
+
\ No newline at end of file
-- 
1.7.3.4

